|
|
|
Location:
QikSimpleDialog.h
Link against: qikdlg.lib
class CQikSimpleDialog : public CCoeControl, public MQikCommandHandler, public MCoeControlObserver;
Simple one page dialog without scroll bar.
Use the CQikSimpleDialog dialog class for simple one page dialogs, this is without tabs. The dialog has no scroll bar so it is only intended to be used with small controls.
Use the QIK_DIALOG struct to specify a resource.
MCoeControlObserver - Interface for a control to send events to its observer controlMQikCommandHandler - Interface for classes responsible of executing commandsMObjectProvider - An interface that allows an object to be part of a network of object providersCBase - Base class for all classes to be instantiated on the heapCCoeControl - Control base class from which all other controls are derivedCQikSimpleDialog - Simple one page dialog without scroll barDefined in CQikSimpleDialog:
ActivateL(), AllowForcedExit(), CancelNonWaitingDialog(), CloseDialog(), ComponentControl(), ConstructFromResourceL(), ControlProvider(), CountComponentControls(), DynInitOrDeleteCommandL(), ExecuteLD(), ExecuteLD(), FocusChanged(), GetColorUseListL(), GetHelpContext(), HandleCommandL(), HandleControlArrayEventL(), HandleControlEventL(), HandlePointerBufferReadyL(), HandlePointerEventL(), HandleResourceChange(), HasBorder(), InputCapabilities(), IsClosing(), IsCommandListActive(), IsForcedExit(), IsLaunched(), IsOneShot(), IsWaiting(), LocateControlByUniqueHandle(), LocateControlByUniqueHandle(), LocateCtrlByUniqueHandle(), LocateCtrlByUniqueHandle(), MakeVisible(), MinimumSize(), MopSupplyObject(), OfferKeyEventL(), Page(), Page(), PersistsScreenModeChange(), PlaceHolder(), PositionChanged(), PostLayoutDynInitL(), PreLayoutDynInitL(), PrepareForFocusGainL(), PrepareForFocusLossL(), PrepareL(), PrepareLC(), QikSimpleDialog_Reserved_1(), QikSimpleDialog_Reserved_2(), QikSimpleDialog_Reserved_3(), RequestRelayout(), RunL(), RunL(), RunLD(), RunLD(), SetAdjacent(), SetCanForcedExit(), SetContainerWindowL(), SetDimmed(), SetForcedExitCommandId(), SetLayoutManagerL(), SetNeighbor(), SetParent(), SetTextBaselineSpacing(), SetTitleIconL(), SetTitleTextL(), SizeChanged(), TextBaselineOffset(), WriteInternalStateL(), ~CQikSimpleDialog()
Inherited from CBase:
Delete(),
Extension_(),
operator new()
Inherited from CCoeControl:
AccumulatedZoom(),
ActivateGc(),
BackedUpWindow(),
Background(),
CapturesPointer(),
ClaimPointerGrab(),
CloseWindow(),
ComponentArrayExists(),
Components(),
ControlContext(),
ControlEnv(),
CopyControlContextFrom(),
CreateBackedUpWindowL(),
CreateWindowL(),
DeactivateGc(),
Draw(),
DrawBackground(),
DrawDeferred(),
DrawForeground(),
DrawNow(),
DrawableWindow(),
EAbsoluteZoom,
ERelativeZoom,
EnableDragEvents(),
FindBackground(),
FindFontProvider(),
GetColor(),
GetGc(),
GetTextDrawer(),
GrabbingComponent(),
HandleComponentControlsResourceChange(),
HandleRedrawEvent(),
HitTest(),
IgnoreEventsUntilNextPointerUp(),
Index(),
InitComponentArrayL(),
IsActivated(),
IsBackedUp(),
IsBeingDestroyed(),
IsBlank(),
IsDimmed(),
IsFocused(),
IsNonFocusing(),
IsReadyToDraw(),
IsVisible(),
LayoutManager(),
MaximumWidth(),
MopNext(),
Observer(),
OverrideColorL(),
OwnsWindow(),
Parent(),
Position(),
PositionRelativeToScreen(),
Rect(),
RecursivelyMergedInputCapabilities(),
ReportEventL(),
Reserved_2(),
ResetGc(),
ScreenFont(),
SetAllowStrayPointers(),
SetBackground(),
SetBlank(),
SetCanDrawOutsideRect(),
SetComponentsToInheritVisibility(),
SetControlContext(),
SetCornerAndSize(),
SetExtent(),
SetExtentToWholeScreen(),
SetFocus(),
SetFocusing(),
SetFontProviderL(),
SetGc(),
SetGloballyCapturing(),
SetHitTest(),
SetMaximumWidth(),
SetMopParent(),
SetNonFocusing(),
SetObserver(),
SetPointerCapture(),
SetPosition(),
SetRect(),
SetSize(),
SetSizeWithoutNotification(),
SetUniqueHandle(),
SetZoomFactorL(),
Size(),
SystemGc(),
TZoomType,
TextDrawer(),
UniqueHandle(),
Window(),
ZoomWithType(),
iCoeEnv,
iContext,
iPosition,
iSize
Inherited from MCoeControlObserver:
EEventInteractionRefused,
EEventPrepareFocusTransition,
EEventRequestCancel,
EEventRequestExit,
EEventRequestFocus,
EEventStateChanged,
MCoeControlObserver_Reserved1(),
MCoeControlObserver_Reserved2(),
TCoeEvent
Inherited from MObjectProvider:
MObjectProvider_Reserved1(),
MObjectProvider_Reserved2(),
MopGetObject(),
MopGetObjectNoChaining()
Inherited from MQikCommandHandler:
HandleAttemptDimmedSelectionL()
QIK_DIALOGIMPORT_C ~CQikSimpleDialog();
Destructor
|
IMPORT_C void PrepareL(TInt aResourceId);
Create window and load from resource
|
|
IMPORT_C void PrepareLC(TInt aResourceId);
Pushes the dialog onto the cleanup stack, and calls PrepareL
|
IMPORT_C TInt RunL();
Run the dialog in a waiting mode, and return only when the dialog has closed
|
SetForcedExitRetCodeIMPORT_C TInt RunLD();
Launch the dialog and return only when the dialog has closed The dialog will be automatically deleted when this function returns This is termed a waiting, one-shot dialog.
|
SetForcedExitRetCodeIMPORT_C TInt ExecuteLD(TInt aResourceId);
Prepare and launch the dialog and return when the dialog has closed. The dialog will be automatically closed when the dialog is closed. This is termed a waiting, one-shot dialog.
|
|
IMPORT_C void RunL(TRequestStatus &aNotifyWhenClosed);
Launch the dialog and return immediately. The request status parameter will be informed when the dialog is closed. THis request status parameter should not be on the stack. The return code for the command closing the dialog will be returned in the request status.
|
|
IMPORT_C void RunLD(TRequestStatus *aNotifyWhenClosed);
Launch the dialog and return immediately. The request status parameter will be informed when the dialog is closed. The request parameter may be null if the the application does not want to know when the dialog is closed. The dialog will be deleted automatically when it is closed. This is termed a non-waiting, one-shot dialog.
|
IMPORT_C void ExecuteLD(TInt aResourceId, TRequestStatus *aNotifyWhenClosed);
Prepare and launch the dialog, returning immediately. The request status parameter will be informed when the dialog is closed. The request parameter may be null if the the application does not want to know when the dialog is closed. The dialog will be deleted automatically when it is closed. This is termed a non-waiting, one-shot dialog.
|
IMPORT_C void CancelNonWaitingDialog(TInt aRetCode);
Cancels a non-waiting dialog. The caller is an active object that is notified with a value in the TRequestStatus when the dialog has been closed. The parameter (aRetCode) is not used if the call originates from the active object's cancel method, which waits for event completion and does not handle the completion code.
|
IMPORT_C TInt SetCanForcedExit(TBool aCan);
Sets whether this dialog stays on-screen when screenmode changes If the dialog is currently launched, this command may fail (by returning an error code)
|
|
IMPORT_C void SetForcedExitCommandId(TInt aCommandId);
Sets the id of the command that will be executed when the dialog is forced to exit by the system. The id must point to a command that is added to the list of commands for this dialog. If a command with the specified id is not found the normal behaviour will apply, which is if any command of type EQikCommandTypeDone is found it will be executed, otherwise the first command of type cancel that is found will be executed.
|
virtual IMPORT_C void HandleCommandL(CQikCommand &aCommand);
Called each time a command is executed in this dialog The default action is to close the dialog with the return code of the Id of the command. This default is effective for simple query dialogs and the such. Override this function to handle more complicated cases
|
virtual IMPORT_C void HandleControlEventL(CCoeControl *aControl, TCoeEvent aEventType);
Implementing MCoeControlObserver This default implementation allows controls to receive focus if they request it
|
virtual IMPORT_C TKeyResponse OfferKeyEventL(const TKeyEvent &aKeyEvent, TEventCode aType);
Overloaded from CCoeControl .
Offers aKeyEvent to the control with the current focus. Implements basic focus navigation for following keys:
EDeviceKeyTwoWay
EDeviceKeyFourWay
EDeviceKeyEightWay
EQuartzKeySwitchToNext
EQuartzKeySwitchToPrevious If you override this method, make sure to call this base implementation if you do want to benefit from the frameworks navigation code.
Leaves if OfferKeyEventL for the control that had focus leaved.
|
|
virtual IMPORT_C TCoeInputCapabilities InputCapabilities() const;
Returns this CQikSimpleDialog's input capabilities.
|
virtual IMPORT_C TBool RequestRelayout(const CCoeControl *aChildControl);
Returns this CQikSimpleDialog's input capabilities.
|
|
T *LocateControlByUniqueHandle(TInt aUniqueHandle);
Search for a specific control by its unique handle.
|
|
const T *LocateControlByUniqueHandle(TInt aUniqueHandle) const;
Search for a specific control by its unique handle.
|
|
protected: IMPORT_C TBool IsLaunched() const;
Is the dialog currently displayed to the user?
|
protected: IMPORT_C TBool IsWaiting() const;
Is the dialog a waiting dialog? Waiting dialogs are dialogs that are launched and return the Id of the command that closes them, only returning when the dialog is closed. Non-waiting dialogs return immediately, and notify an active object when they are closed.
|
protected: IMPORT_C TBool IsOneShot() const;
Will this dialog be deleted automatically when it is closed?
|
protected: IMPORT_C TBool IsClosing() const;
Is the dialog launched, but has been signalled to close?
|
protected: IMPORT_C TBool IsForcedExit() const;
Is the dialog currently being forced to exit by the system? This can be useful to query in the HandleCommandL
|
protected: IMPORT_C void CloseDialog(TInt aRetCode);
Signals that the dialog should close Does nothing if the dialog is not launched If this is a waiting dialog, the value is returned to the calling function directly; if this is a non-waiting dialog, the an active object is notified with this value in the TRequestStatus; for this reason, avoid using a return-code of KRequestPending (-KMaxTInt) in such circumstances!
|
protected: IMPORT_C CQikControlProvider *ControlProvider();
Retrieves the control provider associated with this dialog
|
protected: IMPORT_C CQikContainerBase *Page();
Used to get the dialog page (for adding and removing controls to/from the container for example).
|
protected: IMPORT_C const CQikContainerBase *Page() const;
Used to get the dialog page (for adding and removing controls to/from the container for example).
|
protected: virtual IMPORT_C TTypeUid::Ptr MopSupplyObject(TTypeUid aId);
Overriding CCoeControl If a subclass overrides this method, it is important that they call this method to resolve objects they otherwise cannot
|
|
protected: virtual IMPORT_C void PreLayoutDynInitL();
Called before the dialog is layed out This is useful to override for setting parameters of graphical components such as labels and images, so that their sizes can be properly computed when laying out
protected: virtual IMPORT_C void PostLayoutDynInitL();
Called when the dialog has been layed out
protected: virtual IMPORT_C TBool AllowForcedExit();
Controls whether this dialog can be forced to close at this time.
|
protected: IMPORT_C TInt PlaceHolder();
Unused placeholder to maintain binary compatibility.
|
private: virtual IMPORT_C TInt QikSimpleDialog_Reserved_1();
For future use; do not override this method
|
private: virtual IMPORT_C TInt QikSimpleDialog_Reserved_2();
For future use; do not override this method
|
private: virtual IMPORT_C TInt QikSimpleDialog_Reserved_3();
For future use; do not override this method
|
protected: virtual IMPORT_C CQikCommand *DynInitOrDeleteCommandL(CQikCommand *aCommand, const CCoeControl &aControlAddingCommands);
Called once for each command is added to the dialog By default, it accepts all commands Useful to be overriden if custom command management needs to be done (e.g. changing the text of a particular command, or suppressing commands)
|
|
MQikCommandModelOwner::DynInitOrDeleteCommandLIMPORT_C TBool IsCommandListActive(TInt aCommandListResourceId) const;
Checks if a certain commandlist is in use or not.
|
|
virtual IMPORT_C void ConstructFromResourceL(TResourceReader &aReader);
Constructs the dialog from a resource file.
|
virtual IMPORT_C void HandlePointerEventL(const TPointerEvent &aPointerEvent);
Handles pointer events.
|
virtual IMPORT_C TInt SetParent(CCoeControl *aParent);
Sets aParent as the parent of this dialog.
|
|
virtual IMPORT_C void MakeVisible(TBool aVisible);
Sets this dialog as visible or invisible.
|
virtual IMPORT_C void SetDimmed(TBool aDimmed);
Sets the dialog to be dimmed.
|
virtual IMPORT_C void PrepareForFocusLossL();
Prepares the dialog for loss of focus.
This function is called immediately before focus is removed from a control.
virtual IMPORT_C void PrepareForFocusGainL();
Prepares the dialog for gaining focus.
This function is called immediately before a control is focused.
virtual IMPORT_C void GetColorUseListL(CArrayFix< TCoeColorUse > &aColorUseList) const;
Gets a list of logical colours employed in the drawing of the control paired with an explanation of how they are used.
|
virtual IMPORT_C void HandleResourceChange(TInt aType);
Handles a change to the dialog's resources.
|
virtual IMPORT_C TSize MinimumSize();
Gets the dialog's minimum required size.
|
virtual IMPORT_C TInt CountComponentControls() const;
Gets the number of controls contained in a compound control.
|
virtual IMPORT_C CCoeControl *ComponentControl(TInt aIndex) const;
Gets an indexed component of a compound control.
|
|
virtual IMPORT_C void SetContainerWindowL(const CCoeControl &aContainer);
Sets the dialog's containing window by copying it from aContainer.
|
virtual IMPORT_C void SetAdjacent(TInt aAdjacent);
Sets the dialog's appearance when it is next to other controls.
|
virtual IMPORT_C void SetNeighbor(CCoeControl *aNeighbor);
Sets an associated control.
|
virtual IMPORT_C TBool HasBorder() const;
Tests if the dialog has a border.
|
virtual IMPORT_C void GetHelpContext(TCoeHelpContext &aContext) const;
Gets the dialog's help context.
|
virtual IMPORT_C void SetLayoutManagerL(MCoeLayoutManager *aLayout);
Sets the layout manager.
|
virtual IMPORT_C TInt TextBaselineOffset(const TSize &aSize) const;
Gets the offset to the first text baseline relative to the top of the control.
|
|
virtual IMPORT_C void SetTextBaselineSpacing(TInt aSpacing);
Sets the spacing between text baselines.
|
IMPORT_C void SetTitleTextL(const TDesC &aText);
Sets the dialog title text from a descriptor.
|
IMPORT_C void SetTitleIconL(const CQikContent *aContent, TQikPassingOwnership aOwnership);
Sets the dialog title icon.
|
protected: virtual IMPORT_C void FocusChanged(TDrawNow aDrawNow);
Responds to a change in focus.
|
protected: virtual IMPORT_C void WriteInternalStateL(RWriteStream &aWriteStream) const;
Writes the internal state of the control and its components to aStream. Does nothing in release mode. Designed to be overidden and base called by subclasses.
|
protected: virtual IMPORT_C void SizeChanged();
Responds to changes to the size and position of the contents of this dialog.
protected: virtual IMPORT_C void HandlePointerBufferReadyL();
Handles pointer buffer ready events.
protected: virtual IMPORT_C void PositionChanged();
Responds to changes in the position of this dialog.
protected: virtual IMPORT_C void HandleControlArrayEventL(CCoeControlArray::TEvent aEvent, const CCoeControlArray *aArray, CCoeControl *aControl, TInt aControlId);
Handles events generated by the CCoeControlArray.
|
private: IMPORT_C CCoeControl *LocateCtrlByUniqueHandle(TInt aUniqueHandle);
Used to locate a control within the simple dialog using a unique handle.
|
|